using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class tormentas : MonoBehaviour {

  //  public GameObject [] Tormentas = new GameObject [5];
    public GameObject Nave_;
    float tiempotormenta;
    Animator anim;
    //Detección de colision 
    void Start() {
        
        
    }
    private void OnTriggerEnter2D(Collider2D collision)
    {
        Debug.Log("entra: " + collision.name);
        if (collision.name == "Nave")
       {
            //bool tormenta detecta si entra en colision con GO de tipo tormenta.
            var n = Nave_.GetComponent<ControlNave>();
            n.tormenta = true;
            //Se desactiva el boxcollider2D para evitar que el comportamiento de rotación no entre y salga de la colision reiteradamente.
            this.GetComponent<CircleCollider2D>().enabled = false;
            tiempotormenta = Random.Range(8, 15);
            StartCoroutine(tiempoFrenarTormenta());
       }
    }


    IEnumerator tiempoFrenarTormenta() {

        yield return new WaitForSeconds(tiempotormenta);
        //Sale de la tormenta
        Nave_.GetComponent<ControlNave>().tormenta = false;
        //Setea el transform de la nave a la última alacenada en tormenta para mantener la rotación en el angulo adecuado.
        Transform n = Nave_.GetComponent<Transform>().transform;
        n = Nave_.GetComponent<ControlNave>().NaveEnTormenta;

        //Reactiva el collider 2D
        yield return new WaitForSeconds(15);
        this.GetComponent<CircleCollider2D>().enabled = true;
    }
}
